from .base import *


DEBUG = False
TEMPLATE_DEBUG = True

ALLOWED_HOSTS = ["https://www.feo.gmbh", "https://feo.gmbh"]
USE_X_FORWARDED_HOST = True
SECURE_PROXY_SSL_HEADER = ('HTTP_X_FORWARDED_PROTO', 'https')
CSRF_TRUSTED_ORIGINS = ["https://www.feo.gmbh", "https://feo.gmbh"]

ENV = 'prod'

DEFAULT_FROM_EMAIL = "info@feo.gmbh"
SERVER_EMAIL = "server@feo.gmbh"

EMAIL_BACKEND = 'django.core.mail.backends.smtp.EmailBackend'
EMAIL_HOST = 'mail.asw.io'
EMAIL_HOST_PASSWORD = '409ce4f17e2447e1b0a5879e55d6c04a'
EMAIL_HOST_USER = 'service@feo.gmbh'
EMAIL_PORT = 465
EMAIL_SUBJECT_PREFIX = '[FEO GmbH] '
EMAIL_USE_TLS = False
EMAIL_USE_SSL = True

try:
    from .local import *
except ImportError:
    pass
